Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
gc_profile_record Struct Reference

## Data Fields
double | gc_time
double | gc_invoke_time
size_t | heap_total_objects
size_t | heap_use_size
size_t | heap_total_size
int | is_marked

## Detailed Description

Definition at line 99 of file gc.c.

## Field Documentation

double gc_profile_record::gc_invoke_time

Definition at line 101 of file gc.c.

Referenced by gc_prof_timer_start(), gc_profile_dump_on(), and gc_profile_record_get().

double gc_profile_record::gc_time

Definition at line 100 of file gc.c.

Referenced by gc_prof_timer_start(), gc_prof_timer_stop(), gc_profile_dump_on(), gc_profile_record_get(), and gc_profile_total_time().

size_t gc_profile_record::heap_total_objects

Definition at line 103 of file gc.c.

Referenced by gc_prof_set_heap_info(), gc_profile_dump_on(), and gc_profile_record_get().

size_t gc_profile_record::heap_total_size

Definition at line 105 of file gc.c.

Referenced by gc_prof_set_heap_info(), gc_profile_dump_on(), and gc_profile_record_get().

size_t gc_profile_record::heap_use_size

Definition at line 104 of file gc.c.

Referenced by gc_prof_set_heap_info(), gc_profile_dump_on(), and gc_profile_record_get().

int gc_profile_record::is_marked

Definition at line 107 of file gc.c.

Referenced by gc_prof_timer_stop(), gc_profile_dump_on(), and gc_profile_record_get().

The documentation for this struct was generated from the following file:

- gc.c